You are browsing a read-only backup copy of Wikitech. The live site can be found at wikitech.wikimedia.org

Obsolete:1.4 upgrade

From Wikitech-static
Jump to navigation Jump to search

nasty notes:

1.4 upgrade procedure

  • First, lock the wiki with the appropriate lock file
  • For each wiki in the group, in /home/wikipedia/common/php-1.4/maintenance, run the appropriate:
    php update.php xxwiki
  • Once the databases have been adjusted, fix the files.
    • If it was on the old docroot on NFS:
      • go to /h/w/common/docroot and cp -pr skel to the appropriate subdir
      • link in the uploads dir (is this necessary?) and any other customizations
      • sync-common-all
      • change the appropriate apache .conf file and restart the apaches
    • else:
      • link /home/wikipedia/common/php-1.4/skins into the appropriate docroot.
      • replace the 'w' symlink with a link to /home/wikipedia/common/live-1.4

In theory, things should now work. Maybe :D

Note: there's some funkyness with language settings at the moment. Need to look into this. zhengzhu has since fixed this iirc